Bug 246600 - emulators/qemu configure error in poudriere build: Error: Could not find pcap
Summary: emulators/qemu configure error in poudriere build: Error: Could not find pcap
Status: Closed Unable to Reproduce
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-20 13:06 UTC by tech-lists
Modified: 2020-06-23 23:51 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2020-05-20 13:06:52 UTC
poudriere build failure

[00:00:01] Poudriere version: 3.3.99.20200326
[00:00:01] Host OSVERSION: 1201516
[00:00:01] Jail OSVERSION: 1201516
[...]

[00:00:01] ---Begin OPTIONS List---
[00:00:01] ===> The following configuration options are available for qemu-4.1.1_3:
[00:00:01]      CDROM_DMA=off: IDE CDROM DMA
[00:00:01]      CURL=on: Data transfer support via cURL
[00:00:01]      DOCS=on: Build and/or install documentation
[00:00:01]      GNUTLS=on: gnutls dependency (vnc encryption)
[00:00:01]      GTK3=off: GTK+ 3 GUI toolkit support
[00:00:01]      JPEG=on: jpeg dependency (vnc lossy compression)
[00:00:01]      NCURSES=on: Console (text) interface support
[00:00:01]      OPENGL=off: 2D/3D rendering support via OpenGL
[00:00:01]      PCAP=on: pcap dependency (networking with bpf)
[00:00:01]      PNG=on: png dependency (vnc compression)
[00:00:01]      SAMBA=off: samba dependency (for -smb)
[00:00:01]      SASL=on: cyrus-sasl dependency (vnc encryption)
[00:00:01]      STATIC_LINK=on: Statically link the executables
[00:00:01]      USBREDIR=off: usb device network redirection (experimental!)
[00:00:01]      VDE=on: vde dependency (for vde networking)
[00:00:01]      X11=off: X11 (graphics) support
[00:00:01]      X86_TARGETS=off: Build only x86 system targets
[00:00:01] ===> Use 'make config' to modify these settings
[00:00:01] ---End OPTIONS List---
[...]
[00:01:02] =======================<phase: configure      >============================
[00:01:03] ===>  Configuring for qemu-4.1.1_3
[00:01:21] 
[00:01:21] Error: Could not find pcap
[00:01:21] Make sure to have the pcap libs and headers installed.
[00:01:21] 
[00:01:21] ===>  Script "configure" failed unexpectedly.
[00:01:21] Please report the problem to bofh@FreeBSD.org [maintainer] and attach the
[00:01:21] "/wrkdirs/usr/ports/emulators/qemu/work/qemu-4.1.1/config.log" including the
[00:01:21] output of the failure of your make command. Also, it might be a good idea to
[00:01:21] provide an overview of all packages installed on your system (e.g. a
[00:01:21] /usr/local/sbin/pkg-static info -g -Ea).
[00:01:21] *** Error code 1
[00:01:21] 
[00:01:21] Stop.
[00:01:21] make: stopped in /usr/ports/emulators/qemu
[00:04:39] =>> Cleaning up wrkdir
[00:04:39] ===>  Cleaning for qemu-4.1.1_3
[00:04:40] build of emulators/qemu | qemu-4.1.1_3 ended at Wed May 20 13:42:44 BST 2020
[00:04:40] build time: 00:04:40
[00:04:40] !!! build failure encountered !!!
Comment 1 tech-lists 2020-05-20 15:23:40 UTC
seems emulators/qemu-devel compiles ok, so will use that instead.
Comment 2 tech-lists 2020-05-20 16:28:39 UTC
it'll build fine if the static option is disabled
Comment 3 Muhammad Moinur Rahman freebsd_committer 2020-06-06 10:13:15 UTC
Couldn't reproduce on my latest build.

http://pdr.bofh.network/data/latest-per-pkg/qemu/4.1.1_4/121amd64-default.log